/// <reference types="react" />
import React from "react";
interface ModalProps {
    visible: boolean;
    onCancel: (e: any) => void;
    container?: HTMLElement;
}
declare class Modal extends React.PureComponent<ModalProps> {
    static hasShowWarning: boolean;
    render(): false | React.ReactPortal | null;
}
interface ModalCMDOptions {
    children: any;
    container?: HTMLElement;
    options?: {
        mask?: true;
    };
}
interface ModalCMDRecord {
    modalInstance: HTMLElement;
}
declare class ModalCMD {
    static currentModal: ModalCMDRecord[];
    constructor();
    private static recordModal;
    private static delModal;
    static show({ children, container }: ModalCMDOptions): void;
    static hide(targetId?: string | number): void;
}
export { Modal as default, Modal, ModalProps, ModalCMDOptions, ModalCMDRecord, ModalCMD };
